# SourcePath: libnl/20181025dev
Summary: Netlink access library
Name: sony-target-dev-libnl
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-libnl
Version: 3.2.22
Release: 08020602
License: LGPLv2.1 / GPLv2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: https://fedorahosted.org/libnl/
Source: libnl-%{version}.tar.gz
Patch1: libnl-3.2.22-enable-unittest.patch
Patch2: libnl-3.2.22-CVE-2017-0553.patch
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
Netlink access library

%package -n %{pkgname}
Summary: Netlink access library
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Netlink access library

%prep
%setup -q -n libnl-%{version}
%patch1 -p1
%patch2 -p1

%build
%sony_target_dev_setup
%sony_target_dev_configure --sysconfdir=/etc --disable-silent-rules
make all

%install
%sony_target_dev_setup
rm -rf %{buildroot}
cd objdir
make DESTDIR=%{buildroot}%{sony_target_dir} install

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done
cd -

rm -rf %{buildroot}%{sony_target_dir}/usr/share/man

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}

%changelog
* Wed Mar 11 2020 Sony Corporation
- Updated license to LGPLv2.1 / GPLv2

* Wed Nov 20 2018 Sony Corporation
- Initial build for CE Linux 8.2.6.X

* Wed Jun 12 2013 Sony Corporation
- Initial build

